%define		name weechat
%define 	version 0.3.9.2
%define 	release %mkrel 2

Summary:	Portable, fast, light and extensible IRC client
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.weechat.org/files/src/%{name}-%{version}.tar.bz2
Patch0:		weechat-combined.patch
License:	GPLv3
Group: 		Networking/IRC
Url: 		http://www.weechat.org/
BuildRequires: 	cmake
BuildRequires: 	ncurses-devel
BuildRequires:	curl-devel
# need for utf8 support
BuildRequires: 	ncursesw-devel
BuildRequires: 	perl-devel
# Ruby & Python are really needed for the build, tks lbd
BuildRequires: 	python-devel
BuildRequires: 	ruby-devel
Buildrequires: 	lua5.1-devel
BuildRequires: 	enchant-devel
BuildRequires: 	gettext
BuildRequires:	docbook-style-xsl
BuildRequires: 	gnutls-devel
BuildRequires:	libgcrypt-devel
BuildRequires: 	tcl-devel

Obsoletes:	%{name}-gtk

%description
WeeChat (Wee Enhanced Environment for Chat) is a fast, light and extensible
chat client designed for many platforms.
 
Main features are: 
- modular: a lightweight core with plugins around
- multi-protocols: IRC and Jabber (other soon)
- extensible: C plugins and scripts (Perl, Python, Ruby, Lua and Tcl)
- free software: released under GPLv3 license
- fully documented: user's guide, API, FAQ,.. translated in many languages 

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING NEWS README
%doc doc/en/weechat_faq.en.txt doc/en/weechat_quickstart.en.txt doc/en/weechat_scripting.en.txt
%doc doc/en/weechat_user.en.txt
%_bindir/%name
%_bindir/%name-curses
%_mandir/man1/weechat*
%dir %_libdir/%{name}
%dir %_libdir/%{name}/plugins
%{_libdir}/%name/plugins/alias.so
%{_libdir}/%name/plugins/fifo.so
%{_libdir}/%name/plugins/irc.so
%{_libdir}/%name/plugins/logger.so
%{_libdir}/%name/plugins/relay.so
%{_libdir}/%name/plugins/rmodifier.so
%{_libdir}/%name/plugins/xfer.so
%{_libdir}/%name/plugins/script.so

#--------------------------------------------------------------------

%package perl
Group:		Networking/IRC
Summary: 	Weechat perl plugins
Requires:	%name = %version
Conflicts:	%name < 0.3.6

%description perl
This package allow weechat to use perl scripts

%files perl
%{_libdir}/%name/plugins/perl.so

#--------------------------------------------------------------------

%package python
Group:		Networking/IRC
Summary:	Weechat python plugins
Requires:	%name = %version
Conflicts:	%name < 0.3.6

%description python
This package allow weechat to use python scripts

%files python
%{_libdir}/%name/plugins/python.so

#--------------------------------------------------------------------

%package tcl
Group:		Networking/IRC
Summary:	Weechat tcl plugins
Requires:	%name = %version
Conflicts:	%name < 0.3.6

%description tcl
This package allow weechat to use tcl scripts

%files tcl
%{_libdir}/%name/plugins/tcl.so

#--------------------------------------------------------------------

%package ruby
Group:		Networking/IRC
Summary:	Weechat ruby plugins
Requires:	%name = %version
Conflicts:	%name < 0.3.6

%description ruby
This package allow weechat to use ruby scripts

%files ruby
%{_libdir}/%name/plugins/ruby.so

#--------------------------------------------------------------------

%package lua
Group:		Networking/IRC
Summary:	Weechat lua plugins
Requires:	%name = %version
Conflicts:	%name < 0.3.6

%description lua
This package allow weechat to use lua scripts

%files lua
%{_libdir}/%name/plugins/lua.so

#--------------------------------------------------------------------

%package charset
Group:		Networking/IRC
Summary:	Weechat charset plugins
Requires:	%name = %version
Conflicts:	%name < 0.3.6

%description charset
This package allow weechat to use charset

%files charset
%{_libdir}/%name/plugins/charset.so

#--------------------------------------------------------------------
%if 0
%package aspell
Group:		Networking/IRC
Summary:	Weechat spell check plugins
Requires:	%name = %version
Conflicts:	%name < 0.3.6

%description aspell
This package allow weechat to use spell checker feature.

%files aspell
%{_libdir}/%name/plugins/aspell.so
%endif

#--------------------------------------------------------------------

%package  devel
Summary:	Development files for weechat
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description devel
WeeChat (Wee Enhanced Environment for Chat) is a portable, fast, light and
extensible IRC client. Everything can be done with a keyboard.
It is customizable and extensible with scripts.

This package contains include files and pc file for weechat.

%files devel
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake -DLIBDIR=%{_libdir}
%make

%install
%makeinstall_std -C build

(
cd %buildroot%_bindir
ln -s %name-curses %name
)

%find_lang %name


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.3.9.2-2.mga3
+ Revision: 385674
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 fwang <fwang> 0.3.9.2-1.mga3
+ Revision: 323338
- new version 0.3.9.2

* Sun Nov 11 2012 fwang <fwang> 0.3.9.1-1.mga3
+ Revision: 316952
- update file list
- disable aspell support
- new version 0.3.9.1
- enable aspell

* Wed Sep 12 2012 fwang <fwang> 0.3.8-1.mga3
+ Revision: 292576
- sync patch from fedora
- use lua 5.1
- add br
- new version 0.3.8

* Fri Dec 16 2011 fwang <fwang> 0.3.6-3.mga2
+ Revision: 182527
- update summary
- rediff enchant patches

* Fri Dec 16 2011 fwang <fwang> 0.3.6-2.mga2
+ Revision: 182381
- conflicts with older package

* Fri Dec 16 2011 fwang <fwang> 0.3.6-1.mga2
+ Revision: 182369
- update file list
- new version 0.3.6
- rebuild for new gnutls

* Wed Jul 06 2011 fwang <fwang> 0.3.5-2.mga2
+ Revision: 119166
- rebuild for new tcl

* Wed Jul 06 2011 dams <dams> 0.3.5-1.mga2
+ Revision: 119113
- add patch
- update to 0.3.5
- rediff patch
- update BR
- clean spec

* Sun May 08 2011 grenoya <grenoya> 0.3.0-1.mga1
+ Revision: 96453
- add patch from Fedora for python2.7
- imported package weechat

